package com.mx.dla.dda.general.constants;

import com.mx.dla.dda.catalogos.dtos.Catalogable;


public enum InterfazWSRespuesta implements Catalogable{

	OK("1","OK"),
	ERROR("0","DDA-301")
	;
	
	private String value;
	private String desc;
	
	InterfazWSRespuesta(String value , String desc)
	{
		this.value = value;
		this.desc = desc;
	}
	
	public String getDesc() {
		return desc;
	}

	public String getValue() {
		return value;
	}
	
	public static InterfazWSRespuesta parse(String desc)
	{
		InterfazWSRespuesta [] values = InterfazWSRespuesta.values();
		InterfazWSRespuesta target = null;
		for(InterfazWSRespuesta t : values)
		{
			if(t.getDesc().equals(desc))
			{
				target = t;
				break;
			}
		}
		return target;
		
	}
}

